// $Id: form_tooltips.js,v 1.1.2.3 2009/04/06 01:29:18 entrigan Exp $

//How far should tool tip box appear from the mouse?
var offsetX = 20;
var offsetY = 10;

//When document is finished process tooltipping functionality
$(document).ready(function() {
  //hide all classes that we want tooltipped
  $('form fieldset legend a').click(function(){
    $(this).parent().parent().find('.description').hide();
  });
  
  $('.description').hide();
  $('.description').parent().hover(function(e){
      //Create HTML to Tooltipify
      var helptext = form_tooltipsFormtextchild($(this));
      //Append to page at current mouse position
      form_tooltipsAppend(helptext,e);
    }, function() {
      $('#desctip').remove();
    });
  //Make tooltip follow mouse (can impact performance)
  $('.description').parent().mousemove(function(e) {
    $("#desctip").css('top', e.pageY + offsetY).css('left', e.pageX + offsetX);
    });
});

//Format HTML to go in tip
function form_tooltipsFormtextchild(item) {
  var helptext = item.find('.description').html();
  return helptext;
}

function form_tooltipsFormtextsibling(item) {
  var helptext = item.next('.description').html();
  return helptext;
}

//Append text to body (absolutely positioned)
function form_tooltipsAppend(text,e) {
  $('<div id="desctip">' + text + '</div>')
  .css('top', e.pageY + offsetY)
  .css('left', e.pageX + offsetX)
  .appendTo('body')
  .hide();
  $('#desctip').fadeIn(400);
}
